Subject: RE: bug#29839: 26.0; Bad xrefs in (elisp) `Sequence Functions'

From: Drew Adams <[email-masked]>
Date: Tue, 26 Dec 2017 13:37:06 -0800 (PST)

> > > How sure are you that you indeed tried all the versions, and not just
> > > 24.5?  Or maybe you tried that with an old elisp.info?
> >
> > What do you mean by "all the versions"?
> 
> All the versions of Emacs later than 24.5 that you have on that
> system.
> 
> > I tried all of the versions that I mentioned, both originally
> > and this last time (after you asked to try again).  I am sure
> > of that.  And I wouldn't even know how to try "with an old
> > elisp.info".  As I said, I used `emacs -Q'.  Could that "try
> > with an old elisp.info"?
> 
> How did you make sure all the versions of Emacs you tried displayed
> the same elisp.info file?  Each Emacs version comes with its own
> elisp.info, and you might also have elisp.info files from older
> versions.

I have no idea if I "made sure" of that.  I did nothing, other
than use `emacs -Q' then `C-h i', choose elisp, and `g Sequence
Functions', then try to follow the links regarding Nth.

The info files for a given Emacs build are in the location
predefined by the build - I don't move them.  E.g., for
25.3.1 they are here: Z:\Emacs-25.3.1\share\info.  The file
`elisp.info' in that directory is no doubt what was provided
with Emacs 25.3.1.  I don't add or subtract to whatever is
in the `info' directory.
 
> With Emacs 24.5, it's expected that you will see the problem.  Your
> question was how could that happen with later versions.  I think it
> could only happen with later versions if you tried to display
> elisp.info which was produced by old versions of makeinfo.

See above.  I didn't try to display anything special.
`emacs -Q' took care of what was displayed, not I.